docusign.bcc-email-archive.post-bcc-email-archive ​
This method creates a BCC email archive configuration for an account (adds a BCC email address to the account for archiving the emails that Docusign generates). The only property that you must set in the request body is the BCC email address that you want to use. Note: An account can have up to five active and pending email archive addresses combined, but you must use this method to add them to the account one at a time. Each email address is considered a separate BCC email archive configuration.
Creates a BCC email archive configuration.
Overview ​
| Property | Value |
|---|---|
| Workflow type | Atomic |
| Library | App-docusign |
| Version | 1.0 |
Input Schema ​
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
base_url | string | Yes | — | Docusign API root, e.g. https://<host>/api |
api_token | string | No | — | Bearer token; omit to use the workflow's token env var |
accountid | string | Yes | — | The external account number (int) or account ID GUID. |
accountid_2 | string | No | — | The ID of the account that owns the BCC email archive configuration. |
bccemailarchiveid | string | No | — | The ID of the BCC email archive configuration. |
created | string | No | — | The UTC DateTime when the BCC email archive configuration was created. |
createdby | json | No | — | — |
email | string | No | — | The BCC email address to use for archiving Docusign messages. Example: customer_bcc@example.com |
emailnotificationid | string | No | — | The GUID of the activation email message sent to the BCC email address. |
modified | string | No | — | The UTC DateTime when the BCC email archive configuration was last modified. |
modifiedby | json | No | — | — |
status | string | No | — | The status of the BCC email address. Possible values are: - activation_sent: An activation link has been sent to the BCC email address. - active: The BCC email address is actively used for archiving. - closed: The BCC email address is no longer used for archiving. |
uri | string | No | — | The helper URI for retrieving the BCC email archive. |
Output Schema ​
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
base_url | string | Yes | — | Docusign API root, e.g. https://<host>/api |
api_token | string | No | — | Bearer token; omit to use the workflow's token env var |
accountid | string | Yes | — | The external account number (int) or account ID GUID. |
accountid_2 | string | No | — | The ID of the account that owns the BCC email archive configuration. |
bccemailarchiveid | string | No | — | The ID of the BCC email archive configuration. |
created | string | No | — | The UTC DateTime when the BCC email archive configuration was created. |
createdby | json | No | — | — |
email | string | No | — | The BCC email address to use for archiving Docusign messages. Example: customer_bcc@example.com |
emailnotificationid | string | No | — | The GUID of the activation email message sent to the BCC email address. |
modified | string | No | — | The UTC DateTime when the BCC email archive configuration was last modified. |
modifiedby | json | No | — | — |
status | string | No | — | The status of the BCC email address. Possible values are: - activation_sent: An activation link has been sent to the BCC email address. - active: The BCC email address is actively used for archiving. - closed: The BCC email address is no longer used for archiving. |
uri | string | No | — | The helper URI for retrieving the BCC email archive. |
status_code | integer | No | — | HTTP status code of the completed call |
response | json | No | — | Parsed JSON response body |
failure_reason | string | No | — | — |
failure_type | string | No | — | — |
failed_at | string | No | — | — |
failed_step | string | No | — | — |
failed_layer | string | No | — | — |
failed_at_state | string | No | — | — |
error | string | No | — | — |
error_type | string | No | — | — |
States ​
| State | Initial | Terminal | Success | Auto-advance | Description |
|---|---|---|---|---|---|
pending | Yes | No | — | execute | Waiting to call POST /v2.1/accounts/{accountId}/settings/bcc_email_archives |
completed | No | Yes | Yes | — | HTTP call succeeded |
failed | No | Yes | No | — | HTTP call failed |
State Diagram ​
Transitions ​
| From | Action | To | Description |
|---|---|---|---|
pending | execute | completed | Perform POST /v2.1/accounts/{accountId}/settings/bcc_email_archives |
* (any state) | fail | failed | Record the failure reason |
API Usage ​
bash
POST /api/workflows/start
Content-Type: application/json
{
"workflow_type": "docusign.bcc-email-archive.post-bcc-email-archive",
"initial_data": {
"base_url": "value",
"accountid": "value"
}
}